summaryrefslogtreecommitdiffstats
path: root/release/scripts/doFS.sh
diff options
context:
space:
mode:
Diffstat (limited to 'release/scripts/doFS.sh')
-rw-r--r--release/scripts/doFS.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/release/scripts/doFS.sh b/release/scripts/doFS.sh
index 74bab09..50d1c84 100644
--- a/release/scripts/doFS.sh
+++ b/release/scripts/doFS.sh
@@ -49,7 +49,11 @@ do
mount /dev/${VNDEVICE}c ${MNT}
- ( set -e && cd ${FSPROTO} && find . -print | cpio -dump ${MNT} )
+ if [ -d ${FSPROTO} ]; then
+ (set -e && cd ${FSPROTO} && find . -print | cpio -dump ${MNT})
+ else
+ cp -p ${FSPROTO} ${MNT}
+ fi
df -ki /mnt
OpenPOWER on IntegriCloud